Поиск по сайту: Результаты поиска по тегам 'assembly'.

  • Поиск по тегам

    Введите теги через запятую.
  • Поиск по автору

Тип публикаций


Категории и разделы

  • САПР, Информационные технологии в проектировании и производстве
    • Все вопросы о CAD
    • Все вопросы о CAM
    • Обсуждение CAD/CAM-систем
    • Все вопросы о CAE
    • Все вопросы о PDM
    • Дизайн, ПО для дизайна
    • САПР ТП
    • САПР зданий и сооружений, дизайн зданий
    • Электротехнические САПР
    • Сравнение и Выбор!
    • 3D Модели
    • Трансляция, конвертация, просмотр
    • Ролики по САПР
    • Настройка и выбор ПК под САПР, комплектующие к ПК
    • Программное обеспечение
  • Проектирование и производство
    • Проектирование и конструирование
    • Материалы и покрытия, прокат и профиль
    • Производственные проблемы
    • Оборудование, комплектующие, оснастка, инструмент
    • Прототипирование
    • Вопросы экономики
    • Размещение заказов
    • CNCZONE.RU
  • Полезная информация
    • Новости
    • Статьи
    • Обсудим увиденное или прочитанное
    • Раздел ссылок
    • Литература, Электронные книги, ГОСТы
  • Доска объявлений
    • Размещение заказов
    • Предложение услуг
    • Продажа
    • Покупка
    • Обмен, дарение
    • Размещение вакансий
    • Размещение резюме
  • Разное
    • Флейм
    • Юмор о CAD/CAM и не только
    • Kонкурсы проектов
  • Сервис

Календари

  • Основной календарь



Фильтр по количеству...

Найдено 4 результата

  1. Есть сборка, в которой не менее двух деталей, мне необходимо получить массу, объем и общую площадь поверхностей выбранной детали. Для этого первым делом нужно выбрать деталь для которой будем получат эти параметры, выбрал допустим в дереве конструирования, но почему то получаю сумму масс, объема и площади всех деталей в общем, а не определенной (выбранной в дереве конструирования). Получаю параметры так: ModelDocExtension Extn; MassProperty MyMassProp; MyMassProp = ((MassProperty)(swDoc.Extension.CreateMassProperty())); Extn = swDoc.Extension; MyMassProp = Extn.CreateMassProperty(); MyMassProp.UseSystemUnits = false; val = MyMassProp.Volume;//объем val = MyMassProp.SurfaceArea;//площадь val = MyMassProp.Mass;//масса
  2. Скажите пожалуйста, можно ли вызвать диалоговое окно сохранения именно самого solidworks, программно на C#., например сохранение файла сборки? Если можно то как? какое свойство?? Просто при записи макроса, он пишет путь куда сохраняет, а вызова диалогового окна нет.
  3. Начал запись макроса, далее создаю сборку и добавляю готовые детали на сборку, все хорошо, останавливаю запись, открываю заново Солид, запускаю макрос, сборка создается, а детали не добавляются. Скажите что нужно добавить или что не так с кодом? В справке API ничего не нашел. using SolidWorks.Interop.sldworks; using SolidWorks.Interop.swconst; using System.Runtime.InteropServices; using System; namespace Macro1.csproj { public partial class SolidWorksMacro { public void Main() { ModelDoc2 swDoc = null; PartDoc swPart = null; DrawingDoc swDrawing = null; AssemblyDoc swAssembly = null; bool boolstatus = false; int longstatus = 0; int longwarnings = 0; swDoc = ((ModelDoc2)(swApp.NewDocument("C:\\User\\ProgramData\\SolidWorks\\SolidWorks 2016\\templates\\gost-assy.asmdot", 0, 0, 0))); swApp.ActivateDoc2("Сборка1", false, ref longstatus); swDoc = ((ModelDoc2)(swApp.ActiveDoc)); ModelView myModelView = null; myModelView = ((ModelView)(swDoc.ActiveView)); myModelView.FrameState = ((int)(swWindowState_e.swWindowMaximized)); swAssembly = ((AssemblyDoc)(swDoc)); boolstatus = swAssembly.AddComponent("C:\\Users\\Desktop\\fgfg.SLDPRT", 0.027620825299025514, 0.072698020262157451, 0.15179969937013105); } /// <summary> /// The SldWorks swApp variable is pre-assigned for you. /// </summary> public SldWorks swApp; } }
  4. добрый день! возник вопрос по поводу комфортности работы в мультителах. Значит в них очень удобно делать сварные сборки.Мне это нравится тем, что они все в одной детали и при изменении одного размера происходит нужная компоновка остальных. Сварные профили тоже очень хороши в этом плане. ну и т.д. Вопрос возникает потом при оформлении сборочного чертежа. Список вырезов сварных изделий отличается от спецификации (хотя в принципе можно настроить под спецификацию). Ну а для деталировки все равно же нужно создавать сборку. и потом для каждой детали свой чертеж. Знаю еще что можно вставить отельные тела из мультитела в чертеж. но таким не пользуюсь (мне кажется трудоемко). И поэтому я как значит делаю...Из мультитела создаю сборку и потом образмериваю в 2D. И специфика в норме. В принципе комфортно но от сборки таким образом я не отошел и поэтому суть мульти тела чуток теряется. Еще для удобности можно работать методом сверху вниз создания сборок. Но меня отягощает работа (по скорости в смысле) в этом плане. У кого какие мнения в этом плане ? Кто как работает? Потому что если довести до нормального оформления мультитела я бы лучше в них работал без сборок. реально удобнее.